// Copyright (c) 2002-2007 Telelogic AB
// All rights reserved.

/*
<trigger>
	<usage>bsf warn_about_missing_trelations.js trelation_name</usage>
	<version>5.0</version>
	<description>
		不执行任何操作的触发器，只将一条警告打印到日志。将自动使用该触发器，以替代不可升级的 trelation，通知用户不再使用旧的 trelation。</description>
	<argument1>
		<name>trelation_name</name>
		<required>yes</required>
		<type>string</type>
		<description>缺失 trelation 的名称。</description>
	</argument1>
</trigger>
*/
var log = bsf.lookupBean('log');
var args = bsf.lookupBean('args');

var trelation = args[0] || '<trelation name not found>';

log.warn('Your previously defined trelation--' + trelation + '--could not be upgraded and is no longer being used. '
	+ 'The trelation feature has been deprecated. You must replace trelations with trigger scripts.');
